Package org.jboss.resteasy.jsapi.i18n

## Interface Messages

- All Known Implementing Classes:
    `Messages_$bundle`

      @MessageBundle(projectCode="RESTEASY")
      public interface Messages

  Version:
    $Revision: 1.1 $ Copyright Aug 27, 2015
  Author:
    Ron Sigal

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BASE` |
    `static Messages` | `MESSAGES` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `impossibleToGenerateJsapi​(String className, String methodName)` |
    `String` | `invoker​(ResourceMethodInvoker invoker)` |
    `String` | `jsapiServletLoaded()` |
    `String` | `loadingJSAPIServlet()` |
    `String` | `overridingConsumes()` |
    `String` | `path​(String uri)` |
    `String` | `query​(String query)` |
    `String` | `restApiUrl​(String uri)` |
    `String` | `serving​(String pathinfo)` |
    `String` | `startJaxRsApi()` |
    `String` | `startResteasyClient()` |
    `String` | `thereAreNoResteasyDeployments()` |

- - ### Field Detail

    - #### MESSAGES

          static final Messages MESSAGES

    - #### BASE

          static final int BASE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### impossibleToGenerateJsapi

          @Message(id=11500,
                   value="Impossible to generate JSAPI for subresource returned by method {0}.{1} since return type is not a static JAXRS resource type",
                   format=MESSAGE_FORMAT)
          String impossibleToGenerateJsapi​(String className,
                                           String methodName)

    - #### invoker

          @Message(id=11505,
                   value=" Invoker: %s")
          String invoker​(ResourceMethodInvoker invoker)

    - #### jsapiServletLoaded

          @Message(id=11510,
                   value="JSAPIServlet loaded")
          String jsapiServletLoaded()

    - #### loadingJSAPIServlet

          @Message(id=11515,
                   value="Loading JSAPI Servlet")
          String loadingJSAPIServlet()

    - #### overridingConsumes

          @Message(id=11520,
                   value="Overriding @Consumes annotation in favour of application/x-www-form-urlencoded due to the presence of @FormParam")
          String overridingConsumes()

    - #### path

          @Message(id=11525,
                   value="Path: %s")
          String path​(String uri)

    - #### query

          @Message(id=11530,
                   value="Query %s")
          String query​(String query)

    - #### restApiUrl

          @Message(id=11535,
                   value="REST.apiURL = \'%s\';")
          String restApiUrl​(String uri)

    - #### serving

          @Message(id=11545,
                   value="Serving %s")
          String serving​(String pathinfo)

    - #### startJaxRsApi

          @Message(id=11550,
                   value="// start JAX-RS API")
          String startJaxRsApi()

    - #### startResteasyClient

          @Message(id=11555,
                   value="// start RESTEasy client API")
          String startResteasyClient()

    - #### thereAreNoResteasyDeployments

          @Message(id=11560,
                   value="There are no Resteasy deployments initialized yet to scan from.  Either set the load-on-startup on each Resteasy servlet, or, if in an EE environment like JBoss or Wildfly, you\'ll have to do an invocation on each of your REST services to get the servlet loaded.")
          String thereAreNoResteasyDeployments()